import React from "react";
import { Movie } from "./movie-wall";
import tmdb from "./tmdb";
export interface SidebarProps extends React.ComponentPropsWithRef<"div"> {
  movie: Movie;
}
export function Sidebar({ movie }: SidebarProps) {
  return <div id="sidebar">
    <h1>{movie?.title ?? "loading"}</h1>
    <img src={tmdb.makeImgUrl(movie.poster_path ?? "")} />
    <p>{movie?.overview ?? "loading"}</p>
  </div>


}
